For the complete documentation index, see llms.txt. This page is also available as Markdown.

/background_check

Compare an image extracted from a passport to a selfie image

Endpoint

https://be.progeny.tech/api/v3/services/background_check/

Purpose

Allows you to perform a background check for Anti Money Laundering (AML).

Sample request and response

Get a task Id

POST https://be.progeny.tech/api/v3/services/background_check/

Request Body

Name
Type
Description

fullname*

String

The fullname as written in the official document

birth_date*

String

The date of birth in yyyy-mm-dd format

{
    "id": "efe46711-b1d8-43f1-9d02-7a54c43b79a2"
}
{
    "fullname": [
        "This field is required."
    ],
    "birth_date": [
        "This field is required."
    ]
}

Extract an data from the Background Check

GET https://be.progeny.tech/api/v3/services/task/?id={{task_id}}

Path Parameters

Name
Type
Description

id*

String

The task Id you obtained from your POST request

Last updated

Was this helpful?